Page MenuHomePhabricator

Recruit Google Code-in 2019 mentors
Closed, ResolvedPublic

Description

For previous years, see T178288, T148952, T115409, T203230.

Mailing lists:

Emails:

  • Students of last GSoC round
  • Students of last two Outreachy rounds
  • Mentors of last GSoC round
  • Mentors of last two Outreachy rounds
  • Last year's GCI mentors
  • Last year's top GCI students - we do not have email addresses for privacy reasons but could check Gerrit.
  • Featured projects on https://www.mediawiki.org/wiki/New_Developers - already all covered above
  • contact Engineering Management in WMDE and request forwarding to WMDE's internal tech mailing list.

Village Pumps and on-wiki places:

  • Technical village pumps

Misc:

Event Timeline

Urbanecm created this task.Nov 3 2019, 6:58 AM
Urbanecm moved this task from Proposed tasks to Organizational on the Google-Code-in-2019 board.

I'm going to draft a message we can send to technical village pumps: https://meta.wikimedia.org/wiki/Distribution_list/Technical_Village_Pumps_distribution_list.

Urbanecm added a comment.EditedNov 3 2019, 7:06 AM
Hi everybody! Google Code-in (GCI) will soon take place again - a seven week long contest for 13-17 year old students to contribute to free software projects. Tasks should take an experienced contributor about two or three hours and can be of the categories Code, Documentation/Training, Outreach/Research, Quality Assurance, and User Interface/Design. Do you have any Lua, template, gadget/script or similar task that would benefit your wiki? Or maybe some of your tools need better documentation? If so, and you can imagine enjoying mentoring such a task to help a new contributor, please check out [[:mw:Google Code-in/2019]] and become a mentor. If you have any questions, feel free to ask at [[:mw:Talk:Google Code-in/2019|our talk page]]. Many thanks in advance! --~~~~~

Inspired by Andre's messages from previous year. Any objections to its wording?

@Urbanecm I'd like to volunteer as mentor for GCI 19. Please explain me the procedure to be followed for the same.
Email-utkarshtiwari95@gmail.com

@Urbanecm I'd like to volunteer as mentor for GCI 19. Please explain me the procedure to be followed for the same.
Email-utkarshtiwari95@gmail.com

Hi, thank you a lot for being available as a GCI mentor! Wikimedia mentors need to be able to guide students. Hence mentors need to be experienced Wikimedia contributors and need to know the community and "how things work". Could you please share some information which specific Wikimedia projects you have contributed to and worked on so far? How would you describe your areas of expertise within Wikimedia which you'd like to mentor in GCI 2019? Are there any public Wikimedia contributions you could link to (for example your username or your Gerrit activity, or activity in Wikimedia projects on Github)? This would help us to get a better idea. Thank you! And if you have not contributed to Wikimedia yet, we encourage you to start contributing to Wikimedia by checking out https://www.mediawiki.org/wiki/How_to_become_a_MediaWiki_hacker ! Thank you!

Hi everybody! Google Code-in (GCI) will soon take place again - a seven week long contest for 13-17 year old students to contribute to free software projects. Tasks should take an experienced contributor about two or three hours and can be of the categories Code, Documentation/Training, Outreach/Research, Quality Assurance, and User Interface/Design. Do you have any Lua, template, gadget/script or similar task that would benefit your wiki? Or maybe some of your tools need better documentation? If so, and you can imagine enjoying mentoring such a task to help a new contributor, please check out [[:mw:Google Code-in/2019]] and become a mentor. If you have any questions, feel free to ask at [[:mw:Talk:Google Code-in/2019|our talk page]]. Many thanks in advance! --~~~~~

Inspired by Andre's messages from previous year. Any objections to its wording?

Sent

Urbanecm updated the task description. (Show Details)Nov 5 2019, 7:30 AM

Sent

Thanks, Martin! <3

Happy to help!

I'm sending this message to users editing documentation at english-speaking wikis

== Google Code-In 2019 is coming - please mentor some documentation tasks! ==

Hello, 

[[:mw:Google Code-in/2019|Google Code-In]], Google-organized contest in which the Wikimedia Foundation participates, starts in a few weeks. This contest is about taking high school students into the world of opensource. I'm sending you this message because you recently edited a documentation page at the English Wikipedia. 

I would like to ask you to take part in Google Code-In as a mentor. That would mean to prepare at least one task (it can be documentation related, or something else - the other categories are Code, Design, Quality Assurance and Outreach) for the participants, and help the student to complete it. Please sign up at [[:mw:Google Code-in/2019|the contest page]] and send us your Google account address to google-code-in-admins@lists.wikimedia.org, so we can invite you in!

From my own experience, Google Code-In can be fun, you can make several new friends, attract new people to your wiki and make them part of your community. 

If you have any questions, please let us know at google-code-in-admins@lists.wikimedia.org. 

Thank you!

--[[User:Martin Urbanec]] ([[User talk:Martin Urbanec|talk]]) 21:59, 23 November 2019 (UTC)
<!-- Message sent by User:Martin Urbanec@metawiki using the list at https://meta.wikimedia.org/w/index.php?title=User:Martin_Urbanec/MassMessage/Documenters_enwiki&oldid=19583321 -->
Apap04 added a subscriber: Apap04.Nov 23 2019, 11:27 PM
Aklapper updated the task description. (Show Details)Nov 25 2019, 3:44 AM

For the records, the number of registered mentors is the highest we've ever had (54), but a good bunch of mentors still have zero tasks that they mentor. We've sent one nagging email out so far, might make sense to throw another one out. Plus as usual I'm afraid that we'll run low of tasks once the "Christmas" thingy takes place in some countries.

Aklapper closed this task as Resolved.Jan 6 2020, 3:30 PM

Google-Code-in-2019 is running two more weeks; while further mentors are welcome to join (just had a new one joining this weekend), I'd say this task has fulfilled its purpose. Thanks everyone for your help to spread the message.